QStrIList(3qt)

NAME
QStrIList - Doubly-linked list of char* with case-insensitive comparison

SYNOPSIS
#include <qstrlist.h>

Inherits QStrList.

  Public Members
QStrIList ( bool deepCopies = TRUE )
~QStrIList ()

DESCRIPTION
The QStrIList class provides a doubly-linked list of char* with case-insensitive comparison.

This class is a QPtrList<char> instance (a list of char*).

QStrIList is identical to QStrList except that the virtual compareItems() function is reimplemented to compare strings case-insensitively. The inSort() function inserts strings in a sorted order. In general it is fastest to insert the strings as they come and sort() at the end; inSort() is useful when you just have to add a few extra strings to an already sorted list.

The QStrListIterator class works for QStrIList.

See also QStringList, Collection Classes, and Non-GUI Classes.

MEMBER FUNCTION DOCUMENTATION

QStrIList::QStrIList ( bool deepCopies = TRUE )
Constructs a list of strings. Will make deep copies of all inserted strings if deepCopies is TRUE, or use shallow copies if deepCopies is FALSE.

QStrIList::~QStrIList ()
Destroys the list. All strings are removed.

SEE ALSO
http://doc.trolltech.com/qstrilist.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qstrilist.3) and the Qt version (3.3.7).